Skip to main content

Update a route

PATCH /v1/routes/{route_id}

Changes the fields you send.

Authentication​

Send a token issued in the Zoopit dashboard as Authorization: Bearer <token>.

Path parameters​

NameTypeRequired
route_idstringyes

Request body​

FieldTypeRequired
polylinestring
status"CANCELED" | "DONE" | "READY" | "STARTED" or null
statsobject
stepsarray of object
planner_request_idnull or string
service_actor_idnull or string
fleet_actor_idstring
parent_idnull or string
logsarray of string or null
modified_atnull or string
tagsarray of string
attributesobject

Responses​

200​

resource: Route_2

FieldTypeRequired
statsobjectyes
service_actor_idnull or stringyes
fleet_actor_idstringyes
stepsarray of objectyes
polylinestringyes
planner_request_idnull or stringyes
scheduled_end_timestringyes
scheduled_start_timestringyes
status"CANCELED" | "DONE" | "READY" | "STARTED" or nullyes
parent_idnull or stringyes
logsarray of string or null
idstringyes
created_atstringyes
modified_atnull or stringyes
deleted_atnull or stringyes
created_bystringyes
modified_bynull or stringyes
deleted_bynull or stringyes
ownersarray of stringyes
tagsarray of stringyes
attributesobjectyes

Example​

curl -X PATCH 'https://routes-api.cloud.zoopit.no/v1/routes/{route_id}'
-H 'Authorization: Bearer <token>'
-H 'Content-Type: application/json'
-d '{ ... }'

Try it in the interactive Routes API reference.

Field descriptions, guides and worked examples are in the full reference, available to customers in the Zoopit dashboard under Accounts → Developer.